Bug 216806 - graphics/gle-graphics: fails to build with gcc5 or later
Summary: graphics/gle-graphics: fails to build with gcc5 or later
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Nicola Vitale
URL:
Keywords: needs-patch
Depends on:
Blocks: 216707
  Show dependency treegraph
 
Reported: 2017-02-05 04:40 UTC by Jan Beich
Modified: 2017-02-06 20:02 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (nivit)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2017-02-05 04:40:20 UTC
filemenu.o: In function `do_help(char const*, char const*)':
filemenu.cpp:(.text+0xdcf): undefined reference to `gledir(char const*)'
filemenu.cpp:(.text+0xe02): undefined reference to `gledir(char const*)'
collect2: error: ld returned 1 exit status

http://package23.nyi.freebsd.org/data/103amd64-default-PR216707/2017-02-03_20h32m45s/logs/errors/gle-graphics-4.2.4.c_6.log
http://package22.nyi.freebsd.org/data/103i386-default-PR216707/2017-02-03_20h32m46s/logs/errors/gle-graphics-4.2.4.c_6.log
Comment 1 Gerald Pfeifer freebsd_committer 2017-02-06 10:55:09 UTC
Changing to "Affects Many People" since this is a dependency of the
update to GCC 5.  Thanks for helping with this, Nicola!
Comment 2 commit-hook freebsd_committer 2017-02-06 18:29:59 UTC
A commit references this bug:

Author: nivit
Date: Mon Feb  6 18:29:23 UTC 2017
New revision: 433507
URL: https://svnweb.freebsd.org/changeset/ports/433507

Log:
  - Fix build with gcc 5

  PR:	216806
  Submitted by:	jbeich

Changes:
  head/graphics/gle-graphics/files/patch-src_manip_all.h
  head/graphics/gle-graphics/files/patch-src_manip_filemenu.cpp
Comment 3 Nicola Vitale freebsd_committer 2017-02-06 20:02:12 UTC
Fixed. Thank you for the PR.